{ config, ... }: {

  services.n8n = {
    enable = true;
    openFirewall = true;
    settings = {
      editorBaseUrl = "https://wf.lanakk.com";
      host = "https://wf.lanakk.com";
    };
  };
  systemd.services.n8n.environment = {
    BILLBEE_API_KEY = config.age.secrets.billbee-api-key.path;
  };
  services.caddy.extraConfig = ''
    wf.lanakk.com {
                  reverse_proxy localhost:5678
    }
  '';

}
